using System;
using PhotoRenamer.Base;
using PhotoRenamer.File.Views;
using Prism.Ioc;
using Prism.Modularity;
using Prism.Regions;

namespace PhotoRenamer.File
{
    public class FileModule : IModule
    {
        private readonly IRegionManager _regionManager;

        public FileModule(IRegionManager regionManager)
        {
            _regionManager = regionManager;
        }

        public void OnInitialized(IContainerProvider containerProvider)
        {

        }

        public void RegisterTypes(IContainerRegistry containerRegistry)
        {
            containerRegistry.RegisterForNavigation<ViewA>();
            _regionManager.RequestNavigate(RegionNames.ContentRegion, new Uri(nameof(ViewA), UriKind.Relative));
        }
    }
}